---
title: GlobalEventHandlers.ontouchcancel
slug: Web/API/GlobalEventHandlers/ontouchcancel
tags:
  - API
  - Event Handler
  - Experimental
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}} {{SeeCompatTable}}</div>

<p>The <strong><code>ontouchcancel</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("touchcancel")}} events.</p>

<div class="note">
<p><strong>Note:</strong> This property has <em>not</em> been formally standardized. It is specified in the {{SpecName('Touch Events 2')}} {{Spec2('Touch Events 2')}} specification and not in {{SpecName('Touch Events')}} {{Spec2('Touch Events')}}. This property is not widely implemented.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>cancelHandler</var> = <var>someElement</var>.ontouchcancel;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code><var>cancelHandler</var></code></dt>
 <dd>The <code>touchcancel</code> event handler for element <code><var>someElement</var></code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>ontouchcancel</code> to set an element's <code>touchcancel</code> event handler.</p>

<pre class="brush: js notranslate">&lt;html&gt;
&lt;script&gt;
function cancelTouch(ev) {
  // Process the event
}
function init() {
  let el = document.getElementById('target1');
  el.ontouchcancel = cancelTouch;
}
&lt;/script&gt;

&lt;body onload="init();"&gt;
  &lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
  &lt;div id="target2" ontouchcancel="cancelTouch(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-globaleventhandlers-ontouchcancel')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.ontouchcancel")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("touchcancel") }}</li>
</ul>
